/* flasher sequence */
module flash_seq
	(
	clk,
	LED
	);
	
	input	mode;
	output	[7:0]	LED;
	reg		[7:0]	LED;
	reg		[2:0]	mode;
	
/* sequence */

always @ (mode)
	begin
		case	(mode)
			0:	LED = 8'b00000001;
			1:	LED = 8'b00000010;
			2:	LED = 8'b00000100;
			3:	LED = 8'b00001000;
			4:	LED = 8'b00010000;
			5:	LED = 8'b00100000;
			6:	LED = 8'b01000000;
			7:	LED = 8'b10000000;
			default: LED = 8'b00000000;
		endcase
	end
endmodule
